
package com.teknei.bid.service.wsdl;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "INEVerificationService", targetNamespace = "services.middleware.fimpe.org.mx", wsdlLocation = "http://172.20.132.83:8095/middleware/services/INEVerificationService?wsdl")
public class INEVerificationService_Service
    extends Service
{

    private final static URL INEVERIFICATIONSERVICE_WSDL_LOCATION;
    private final static WebServiceException INEVERIFICATIONSERVICE_EXCEPTION;
    private final static QName INEVERIFICATIONSERVICE_QNAME = new QName("services.middleware.fimpe.org.mx", "INEVerificationService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("http://172.20.132.83:8095/middleware/services/INEVerificationService?wsdl");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        INEVERIFICATIONSERVICE_WSDL_LOCATION = url;
        INEVERIFICATIONSERVICE_EXCEPTION = e;
    }

    public INEVerificationService_Service() {
        super(__getWsdlLocation(), INEVERIFICATIONSERVICE_QNAME);
    }

    public INEVerificationService_Service(WebServiceFeature... features) {
        super(__getWsdlLocation(), INEVERIFICATIONSERVICE_QNAME, features);
    }

    public INEVerificationService_Service(URL wsdlLocation) {
        super(wsdlLocation, INEVERIFICATIONSERVICE_QNAME);
    }

    public INEVerificationService_Service(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, INEVERIFICATIONSERVICE_QNAME, features);
    }

    public INEVerificationService_Service(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public INEVerificationService_Service(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns INEVerificationService
     */
    @WebEndpoint(name = "INEVerificationService")
    public INEVerificationService getINEVerificationService() {
        return super.getPort(new QName("services.middleware.fimpe.org.mx", "INEVerificationService"), INEVerificationService.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns INEVerificationService
     */
    @WebEndpoint(name = "INEVerificationService")
    public INEVerificationService getINEVerificationService(WebServiceFeature... features) {
        return super.getPort(new QName("services.middleware.fimpe.org.mx", "INEVerificationService"), INEVerificationService.class, features);
    }

    private static URL __getWsdlLocation() {
        if (INEVERIFICATIONSERVICE_EXCEPTION!= null) {
            throw INEVERIFICATIONSERVICE_EXCEPTION;
        }
        return INEVERIFICATIONSERVICE_WSDL_LOCATION;
    }

}
